## org.apache.maven.embedder
Class PlexusLoggerAdapter

    java.lang.Object
      org.apache.maven.embedder.PlexusLoggerAdapter

All Implemented Interfaces:
  org.codehaus.plexus.logging.Logger

    public class PlexusLoggerAdapter

extends java.lang.Object
implements org.codehaus.plexus.logging.Logger

Version:
  $Id: PlexusLoggerAdapter.java 293410 2005-10-03 18:06:00Z jdcasey $
Author:
  Jason van Zyl

Field Summary

Fields inherited from interface org.codehaus.plexus.logging.Logger
`LEVEL_DEBUG, LEVEL_DISABLED, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_WARN`

Constructor Summary
`PlexusLoggerAdapter(MavenEmbedderLogger logger)`

Method Summary
`void` `debug(java.lang.String message)`
`void` `debug(java.lang.String message, java.lang.Throwable throwable)`
`void` `error(java.lang.String message)`
`void` `error(java.lang.String message, java.lang.Throwable throwable)`
`void` `fatalError(java.lang.String message)`
`void` `fatalError(java.lang.String message, java.lang.Throwable throwable)`
`org.codehaus.plexus.logging.Logger` `getChildLogger(java.lang.String name)`
`java.lang.String` `getName()`
`int` `getThreshold()`
`void` `info(java.lang.String message)`
`void` `info(java.lang.String message, java.lang.Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `setThreshold(int i)`
`void` `warn(java.lang.String message)`
`void` `warn(java.lang.String message, java.lang.Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexusLoggerAdapter

    public PlexusLoggerAdapter(MavenEmbedderLogger logger)

Method Detail

### debug

    public void debug(java.lang.String message)

  Specified by:
    `debug` in interface `org.codehaus.plexus.logging.Logger`

### debug

    public void debug(java.lang.String message,
                      java.lang.Throwable throwable)

  Specified by:
    `debug` in interface `org.codehaus.plexus.logging.Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.codehaus.plexus.logging.Logger`

### info

    public void info(java.lang.String message)

  Specified by:
    `info` in interface `org.codehaus.plexus.logging.Logger`

### info

    public void info(java.lang.String message,
                     java.lang.Throwable throwable)

  Specified by:
    `info` in interface `org.codehaus.plexus.logging.Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.codehaus.plexus.logging.Logger`

### warn

    public void warn(java.lang.String message)

  Specified by:
    `warn` in interface `org.codehaus.plexus.logging.Logger`

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable throwable)

  Specified by:
    `warn` in interface `org.codehaus.plexus.logging.Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.codehaus.plexus.logging.Logger`

### error

    public void error(java.lang.String message)

  Specified by:
    `error` in interface `org.codehaus.plexus.logging.Logger`

### error

    public void error(java.lang.String message,
                      java.lang.Throwable throwable)

  Specified by:
    `error` in interface `org.codehaus.plexus.logging.Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.codehaus.plexus.logging.Logger`

### fatalError

    public void fatalError(java.lang.String message)

  Specified by:
    `fatalError` in interface `org.codehaus.plexus.logging.Logger`

### fatalError

    public void fatalError(java.lang.String message,
                           java.lang.Throwable throwable)

  Specified by:
    `fatalError` in interface `org.codehaus.plexus.logging.Logger`

### isFatalErrorEnabled

    public boolean isFatalErrorEnabled()

  Specified by:
    `isFatalErrorEnabled` in interface `org.codehaus.plexus.logging.Logger`

### setThreshold

    public void setThreshold(int i)

### getThreshold

    public int getThreshold()

  Specified by:
    `getThreshold` in interface `org.codehaus.plexus.logging.Logger`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.codehaus.plexus.logging.Logger`

### getChildLogger

    public org.codehaus.plexus.logging.Logger getChildLogger(java.lang.String name)

  Specified by:
    `getChildLogger` in interface `org.codehaus.plexus.logging.Logger`

Copyright © 2011. All Rights Reserved.